#!/system/bin/sh
# Do NOT assume where your module will be located.
# ALWAYS use $MODDIR if you need to know where this script
# and module is placed.
# This will make sure your module will still work
# if Magisk change its mount point in the future
MODDIR=${0%/*}

# This script will be executed in late_start service mode

iptables -t nat -A OUTPUT -p tcp --dport 53 -j DNAT --to-destination 1.1.1.1:53
iptables -t nat -A OUTPUT -p udp --dport 53 -j DNAT --to-destination 1.0.0.1:53
iptables -t nat -I OUTPUT -p tcp --dport 53 -j DNAT --to-destination 1.1.1.1:53
iptables -t nat -I OUTPUT -p udp --dport 53 -j DNAT --to-destination 1.0.0.1:53


chmod 777 /sys/class/power_supply/bms/temp_cool
echo 150 > /sys/class/power_supply/bms/temp_cool
chmod 644 /sys/class/power_supply/bms/temp_cool

chmod 777 /sys/class/power_supply/bms/temp_warm
echo 460 > /sys/class/power_supply/bms/temp_warm
chmod 644 /sys/class/power_supply/bms/temp_warm

chmod 777 /sys/class/power_supply/battery/constant_charge_current_max
echo 3300000 > /sys/class/power_supply/battery/constant_charge_current_max
chmod 644 /sys/class/power_supply/battery/constant_charge_current_max
